package net.northking.cctp.element.mobile.entity;

import net.northking.cctp.element.core.IStepTarget;

public class StepTarget implements IStepTarget {

    /**
     * 元素查找方式
     */
    private String using;
    /**
     * 定位表达式
     */
    private String value;
    /**
     * 备选Or必选
     */
    private String strategy;

    @Override
    public String getUsing() {
        return using;
    }

    public void setUsing(String using) {
        this.using = using;
    }

    @Override
    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getStrategy() {
        return strategy;
    }

    public void setStrategy(String strategy) {
        this.strategy = strategy;
    }
}
